# gdcm::IOD Class Reference

Class for representing a IOD. More...

`#include <gdcmIOD.h>`

Collaboration diagram for gdcm::IOD:
[legend]

List of all members.

## Public Types

typedef std::vector< IODEntry > | MapIODEntry
typedef MapIODEntry::size_type | SizeType

## Public Member Functions

| IOD ()
void | AddIODEntry (const IODEntry &iode)
void | Clear ()
const IODEntry & | GetIODEntry (SizeType idx) const
SizeType | GetNumberOfIODs () const
Type | GetTypeFromTag (const Defs &defs, const Tag &tag) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const IOD &_val)

## Detailed Description

Class for representing a IOD.

Note:
  bla

See also:
  Dict

Examples:

  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::vector<IODEntry> gdcm::IOD::MapIODEntry

typedef MapIODEntry::size_type gdcm::IOD::SizeType

## Constructor & Destructor Documentation

gdcm::IOD::IOD | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::IOD::AddIODEntry | ( | const IODEntry & | iode | ) | `[inline]`

void gdcm::IOD::Clear | ( |  | ) | `[inline]`

const IODEntry& gdcm::IOD::GetIODEntry | ( | SizeType | idx | ) | const`[inline]`

Examples:
  TraverseModules.cxx.

SizeType gdcm::IOD::GetNumberOfIODs | ( |  | ) | const`[inline]`

Examples:
  TraverseModules.cxx.

Type gdcm::IOD::GetTypeFromTag | ( | const Defs & | defs,
|  | const Tag & | tag
| ) |  | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const IOD & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmIOD.h